Page MenuHomePhabricator

tests/naviframe: add test to verify preserve_on_pop functionality
ClosedPublic

Authored by zmike on Aug 6 2018, 11:46 AM.

Details

Summary

this adds a naviframe with button content and pushes/pops the stack
a couple times to see if a delete callback is called on the button

ref T7236
Depends on D6761

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Aug 6 2018, 11:46 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

zmike requested review of this revision.Aug 6 2018, 11:46 AM

@zmike

When I applied this patch and do "make check", then this test did not end.

I copied your test case and ran it as an application, then it ended properly..

Do you know why this test does not end?

zmike added a comment.Aug 13 2018, 6:56 AM

@zmike

When I applied this patch and do "make check", then this test did not end.

I copied your test case and ran it as an application, then it ended properly..

Do you know why this test does not end?

Yes, this test requires D6761 (or your proposed patch) or else signals will never propagate as expected. When reviewing/testing a patch from a series, it is necessary to consider the series as a whole and not just individual patches. If you test only the last patch in the series, there should be no expectation that the patch will function as intended since you are skipping all the dependent patches.

@zmike

Thank you! As soon as D6823 is pushed into master, I will push this patch to master.

stefan_schmidt accepted this revision.Aug 15 2018, 1:23 AM
stefan_schmidt added a subscriber: stefan_schmidt.

The patches this depends on are in now and we can safely merge this as well.

This revision is now accepted and ready to land.Aug 15 2018, 1:23 AM
This revision was automatically updated to reflect the committed changes.